<form name="picForm" role="form" novalidate (ngSubmit)="ver()" #editForm="ngForm" autocomplete="off">
    <h2>
        <span>Tambah Project Baru</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing" [routerLink]="['/', { outlets: { popup: ['purchasing-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.purchasing.home.createLabel">
            Create new Purchasing
            </span>
        </button> -->
    </h2>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_kdBahan">Kode Project</label>
            <input type="text" class="form-control" name="kdBahan" id="field_kdBahan" [(ngModel)]="picRole.kd_project"
                [disabled]="true" />
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">Nama Project</label>
            <input type="text" class="form-control" name="nmBahan" id="field_NmBahan" (blur)="cekNamaProject()"
                [(ngModel)]="picRole.nm_project" [disabled]="(picRole.status_project != 0 && picRole.status_project != 4)"/>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_keterangan">Keterangan Project</label>
            <textarea pInputTextarea 
                    class="form-control" 
                    id="field_keterangan_project" 
                    name="keterangan_project" 
                    [rows]="5" 
                    [cols]="30" 
                    autoResize="autoResize" 
                    [(ngModel)]="picRole.keterangan_project" [disabled]="(picRole.status_project != 0 && picRole.status_project != 4)">
                </textarea>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">PIC Approval Project 1</label>
            <select class="form-control" id="field_pic" name="field_pic" [(ngModel)]="picRole.pic" [disabled]="(picRole.status_project != 0 && picRole.status_project != 4)">
                <option [ngValue]="null">Pilih Approval 1</option>
                <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of listKdBarang">
                    {{ divitionOption.value }}
                </option>
            </select>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">PIC Approval Project 2</label>
            <select class="form-control" id="field_pic2" name="field_pic2" [(ngModel)]="picRole.pic2" [disabled]="(picRole.status_project != 0 && picRole.status_project != 4)">
                <option [ngValue]="null">Pilih Approval 2</option>
                <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of listKdBarang1">
                    {{ divitionOption.value }}
                </option>
            </select>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">Status</label>
            <select class="form-control" id="field_status" name="field_status" [(ngModel)]="picRole.status" [disabled]="(picRole.status_project != 0 && picRole.status_project != 4)">
                <option value="null">Pilih Status</option>
                <option value="1">Aktif</option>
                <option value="0">Non Aktif</option>
            </select>
        </div>
    </div>

    <div class="ui-g-12">
        <hr />
        <div style="text-align: right">
            <button pButton type="submit" label="Simpan" icon="fa-save"
                class="ui-button-danger flat-label-button" [disabled]="(picRole.status_project != 0 && picRole.status_project != 4)"></button>
            <button pButton class="btn btn-primary btn-sm float-right" (click)="back()" label="Kembali"
                class="ui-button-danger flat-label-button"></button>
        </div>
    </div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
</form>